net.minecraft.entity.ai.attributes

## Class ServersideAttributeMap

- java.lang.Object
- - net.minecraft.entity.ai.attributes.BaseAttributeMap
  - - net.minecraft.entity.ai.attributes.ServersideAttributeMap

-     public class ServersideAttributeMap
      extends BaseAttributeMap

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map` | `descriptionToAttributeInstanceMap`

    - ### Fields inherited from class net.minecraft.entity.ai.attributes.BaseAttributeMap

      `attributes, attributesByName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServersideAttributeMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttributeInstance(ModifiableAttributeInstance par1ModifiableAttributeInstance)`
    `ModifiableAttributeInstance` | `getAttributeInstance(IAttribute par1Attribute)`
    `ModifiableAttributeInstance` | `getAttributeInstanceByName(java.lang.String par1Str)`
    `java.util.Set` | `getAttributeInstanceSet()`
    `java.util.Collection` | `getWatchedAttributes()`
    `IAttributeInstance` | `registerAttribute(IAttribute par1Attribute)`

    - ### Methods inherited from class net.minecraft.entity.ai.attributes.BaseAttributeMap

      `applyAttributeModifiers, getAllAttributes, removeAttributeModifiers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### descriptionToAttributeInstanceMap

          protected final java.util.Map descriptionToAttributeInstanceMap

  - ### Constructor Detail

    - #### ServersideAttributeMap

          public ServersideAttributeMap()

  - ### Method Detail

    - #### getAttributeInstance

          public ModifiableAttributeInstance getAttributeInstance(IAttribute par1Attribute)

      Overrides:
        `getAttributeInstance` in class `BaseAttributeMap`

    - #### getAttributeInstanceByName

          public ModifiableAttributeInstance getAttributeInstanceByName(java.lang.String par1Str)

      Overrides:
        `getAttributeInstanceByName` in class `BaseAttributeMap`

    - #### registerAttribute

          public IAttributeInstance registerAttribute(IAttribute par1Attribute)

      Specified by:
        `registerAttribute` in class `BaseAttributeMap`

    - #### addAttributeInstance

          public void addAttributeInstance(ModifiableAttributeInstance par1ModifiableAttributeInstance)

      Overrides:
        `addAttributeInstance` in class `BaseAttributeMap`

    - #### getAttributeInstanceSet

          public java.util.Set getAttributeInstanceSet()

    - #### getWatchedAttributes

          public java.util.Collection getWatchedAttributes()